<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div class="ls-form">

  <div class="col-12 alert alert-info" role="alert">
    <fa-icon
      class="pe-2"
      [icon]="infoIcon">
    </fa-icon>
    <span
      id="metadataListTitle"
      [innerText]="messages.METADATA_INFO">
    </span>
  </div>

  <div class="d-flex mt-3">
    <div class="table-wrapper me-2 w-50">
      <table
        aria-labelledby="metadataListTitle"
        class="table table-striped table-borderless w-100">
        <thead class="shadow-sm">
          <tr>
            <th
              scope="col"
              class="col-9 ps-0"
              [innerText]="messages.METADATA_LIST">
            </th>
            <th scope="col" class="col-3 pe-0 text-end">
              <button
                class="btn btn-sm btn-link mx-0 py-0 align-baseline"
                (click)="previous()"
                [disabled]="!hasPrevious()">
                <fa-icon size="sm" [icon]="chevronLeftIcon"></fa-icon>
              </button>

              <span [innerText]="(metadataPageCount > 0 ? metadataPage : '-') + '/' + metadataPageCount"></span>

              <button
                class="btn btn-sm btn-link mx-0 py-0 align-baseline"
                (click)="next()"
                [disabled]="!hasNext()">
                <fa-icon size="sm" [icon]="chevronRightIcon"></fa-icon>
              </button>
            </th>
          </tr>
        </thead>
        <tbody>
          <tr
            *ngFor="let element of metadata"
            [ngClass]="{'selected': selected(element)}">
            <td [innerText]="element.name"></td>
            <td class="text-end">
              <button
                class="btn btn-lg btn-no-focus px-2 py-0 text-info"
                [title]="commonMessages.ADD"
                [hidden]="selected(element)"
                (click)="select(element)">
                <fa-icon [icon]="commonIcons.ADD_ICON"></fa-icon>
              </button>
            </td>
          </tr>
        </tbody>
      </table>
    </div>

    <div class="table-wrapper ms-2 w-50">
      <table
        aria-labelledby="metadataLinkedTitle"
        class="table table-striped table-borderless table-striped-blue w-100">
        <thead class="shadow-sm">
          <tr>
            <th
              id="metadataLinkedTitle"
              scope="colgroup"
              class="ps-0 text-info"
              colspan="2"
              [innerText]="messages.METADATA_LINKED">
            </th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let element of linkedMetadata">
            <td class="col-button-fixed-size text-center">
              <button
                class="btn btn-lg btn-no-focus px-2 py-0"
                [title]="commonMessages.REMOVE"
                (click)="removeSelection(element)">
                <fa-icon [icon]="commonIcons.CLOSE_ICON"></fa-icon>
              </button>
            </td>
            <td [innerText]="element.name"></td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>

</div>
